<div class="analysis-modal">
    <div class="modal-header analysis-modal-header">
        <h3 class="modal-title">#{{analysis.id}} {{analysis.name}}</h3>
    </div>
    <div class="modal-body">
        <tabset>
            <tab heading="Process">
                <h4>CWD:</h4>
                <pre class="process-line">{{analysis.path}}/{{analysis.result_path}}</pre>
                <br>
                <h4>Command:</h4>
                <pre class="process-command">{{analysis.command}}</pre>
                <br>
                <h4>Exitcode:</h4>
                <pre class="process-line">{{analysis.exitcode}}</pre>

            </tab>
            <tab heading="Log">
            <h4>Log output:</h4>
                <pre class="log">{{analysis_log}}</pre>
            </tab>
            <tab heading="Version">
                <div ng-repeat="(name, version) in analysis_version.attributes.version">
                    <div class="panel panel-default">
                        <div class="panel-heading"><b>{{name}}</b></div>
                        <div class="panel-body">
                            <div>
                        <div ng-if="version.production" class="version-production">
                            <i class="fa fa-check-circle"></i> Production version
                        </div>
                        <div ng-if="!version.production" class="version-nonproduction">
                            <i class="fa fa-times-circle"></i> Non-production version
                        </div>
                    </div>
                    <div><i class="fa fa-list-alt"></i> {{version.revision}}</div>
                    <div><i class="fa fa-tags"></i> {{version.tag}}</div>
                        </div>
                    </div>
                </div>
            </tab>
            <tab heading="Raw">
                <pre style="overflow: scroll; max-height: 500px;">{{analysis | jsonify}}</pre>
            </tab>
            <tab heading="QC">
                <div ng-if="!analysis_properties.qc">
                    No QC available.
                </div>
                <div ng-if="analysis_properties.qc">
                    <div class="pull-left" style="width: 40%;">
                        <div class="panel-heading"><b>Tested QC parameters</b></div>
                        <div ng-if="analysis.original.samples.length == 1">
                            <div ng-repeat="(qc_category, value) in analysis_properties.qc_settings">
                                <div ng-if="analysis_properties.qc[qc_category][0]" class="qc-success"><i class="fa fa-check-circle"></i> {{qc_category}} </div>
                                <div ng-if="!analysis_properties.qc[qc_category][0]" class="qc-fail"><i class="fa fa-times-circle"></i> {{qc_category}} </div>
                                <div ng-repeat="(qc_key, qc_range) in value">
                                    {{qc_key}}
                                    <span tooltip="{{qc_range}}" tooltip-placement="top-right">
                                        <div class="qc-value"> {{translateQC(analysis_properties.qc, qc_category, qc_key)}} </div>
                                    </span>
                                </div>
                            </div>
                        </div>
                        <div ng-if="analysis.original.samples.length == 3" style="overflow: scroll; max-height: 430px;">
                            <div>
                                <div ng-if="analysis_properties.qc['filtus-gender-test'][0]" class="qc-success"><i class="fa fa-check-circle"></i> filtus-gender-test </div>
                                <div ng-if="!analysis_properties.qc['filtus-gender-test'][0]" class="qc-fail"><i class="fa fa-times-circle"></i> filtus-gender-test </div>
                                <div>trio-type <div class="qc-value">{{analysis_properties.qc['filtus-gender-test'][1]['1-triotype']}} </div></div>
                            </div>
                            <div ng-repeat="(samplename, qc_item) in analysis_properties.qc['samples']">
                                <h5>{{samplename}}</h5>
                                <div ng-repeat="(qc_category, value) in analysis_properties.qc_settings">
                                    <div ng-if="qc_item[qc_category][0]" class="qc-success"><i class="fa fa-check-circle"></i> {{qc_category}} </div>
                                    <div ng-if="!qc_item[qc_category][0]" class="qc-fail"><i class="fa fa-times-circle"></i> {{qc_category}} </div>
                                    <div ng-repeat="(qc_key, qc_range) in value">
                                        {{qc_key}}
                                        <span tooltip="{{qc_range}}" tooltip-placement="top-right">
                                            <div class="qc-value"> {{translateQC(qc_item, qc_category, qc_key)}} </div>
                                        </span>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                    <div class="pull-right" style="width: 58%;">
                        <div class="panel-heading"><b>Raw QC parameters</b></div>
                        <pre style="overflow: scroll; max-height: 430px;">{{analysis_properties.qc | jsonify}}</pre>
                    </div>
                </div>
            </tab>
            <tab heading="Post" ng-if="analysis.original.type != 'annopipe'">
                <div class="panel panel-warning">
                    <div class="panel-heading">
                        <h3>Warning zone</h3>
                        <h5>The following actions cannot be undone. Be careful!</h5>
                    </div>
                    <div class="panel-body">
                        <div style="padding-top: 20px; padding-bottom: 20px;">
                            <div ng-show="analysis.analysis.status != 'RUNNING'">
                                <div class="pull-right" style="width: 20%;"><button style="margin-top: 10px;" class="btn btn-warning" ng-click="admin.deliver()">Deliver analysis</button></div>
                                <div class="pull-left" style="width: 75%;">
                                    Delivering an analysis will copy the result files to the interpretation folder, <strong>even if this analysis has failed QC</strong>.
                                    It will also create the "post" analysis, if any.<br>
                                </div>
                                <div class="clearfix"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </tab>
            <tab heading="Admin">
                <div class="panel panel-danger">
                    <div class="panel-heading">
                        <h3>Danger zone</h3>
                        <h5>The following actions cannot be undone. Be careful!</h5>
                    </div>
                    <div class="panel-body">
                        <div style="padding-top: 20px; padding-bottom: 20px;">
                            <div ng-show="analysis.status == 'RUNNING'">
                                <div class="pull-right" style="width: 20%;"><button style="margin-top: 10px;" class="btn btn-danger" ng-click="admin.abort()">Abort analysis</button></div>
                                <div class="pull-left" style="width: 70%; margin-top: 20px;">
                                Marks the analysis as failed, and terminates any running process.
                                </div>
                                <div class="clearfix"></div>
                            </div>
                            <div ng-show="analysis.status != 'RUNNING'">
                                <div class="pull-right" style="width: 20%;"><button style="margin-top: 10px;" class="btn btn-warning" ng-click="admin.resume()">Resume analysis</button></div>
                                <div class="pull-left" style="width: 75%;">
                                    Resuming an analysis will resume it from where it failed. This is useful in case the cluster has been temporarily unavailable.
                                </div>
                                <div class="clearfix"></div>
                                <hr>
                                <div class="pull-right" style="width: 20%;"><button style="margin-top: 50px;" class="btn btn-danger" ng-click="admin.delete()">Delete analysis</button></div>
                                <div class="pull-left" style="width: 75%;">
                                    Deleting an analysis will remove its record from the database and <b>delete all files in its directory tree</b>:
                                    <pre>{{analysis.path}}/{{analysis.result_path}}</pre>
                                    <br>
                                    Any sample record related to this analysis will also be removed, unless it is also connected to another analysis.
                                    The sample files and the analysis metadata file will not be deleted.
                                    Note that if the analysis metadata file is still present on the file system, it will be picked up again and reimported straight away, effectively rerunning the analysis. If you truly want to remove an analysis completely, you need to remove it from the file system first, then delete it from the database.<br>
                                </div>
                                <div class="clearfix"></div>
                            </div>

                        </div>
                    </div>
                </div>
            </tab>
        </tabset>



    </div>
    <div class="modal-footer">
        <button class="btn btn-success" ng-click="close()">Close</button>
    </div>
</div>
